import React from 'react';
import Adapter from 'enzyme-adapter-react-16';
import Enzyme, { shallow, mount } from 'enzyme';
import Tag from './Tag';
Enzyme.configure({
  adapter: new Adapter()
});
describe('<Tag />', function () {
  var demoPresetYellow = /*#__PURE__*/React.createElement(Tag, {
    color: "yellow"
  }, "\u7279\u8272");
  var demoPresetGreen = /*#__PURE__*/React.createElement(Tag, {
    color: "green"
  }, "\u7279\u8272");
  var demoPresetRed = /*#__PURE__*/React.createElement(Tag, {
    color: "red"
  }, "\u7279\u8272");
  var demoPresetBlue = /*#__PURE__*/React.createElement(Tag, {
    color: "blue"
  }, "\u7279\u8272");
  test('颜色定义', function () {
    var yellowWrapper = mount(demoPresetYellow);
    expect(yellowWrapper.find('.ne-tag').hasClass('ne-tag-yellow')).toBeTruthy();
    var greenWrapper = mount(demoPresetGreen);
    expect(greenWrapper.find('.ne-tag').hasClass('ne-tag-green')).toBeTruthy();
    var redWrapper = mount(demoPresetRed);
    expect(redWrapper.find('.ne-tag').hasClass('ne-tag-red')).toBeTruthy();
    var blueWrapper = mount(demoPresetBlue);
    expect(blueWrapper.find('.ne-tag').hasClass('ne-tag-blue')).toBeTruthy();
  });
});