/**
 * ModalContent.jsx
 *
 * @Author: jruif
 * @Date: 2017/7/7 下午10:02
 */
import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
/**
 * @ignore
 * */

var ModalContent = function ModalContent(_ref) {
  var prefixCls = _ref.prefixCls,
      className = _ref.className,
      children = _ref.children;
  var classes = classNames("".concat(prefixCls, "-content"), className);
  return /*#__PURE__*/React.createElement("div", {
    className: classes
  }, children);
};

ModalContent.propTypes = {
  children: PropTypes.node,
  className: PropTypes.string
};
ModalContent.defaultProps = {
  prefixCls: 'ne-modal'
};
export default ModalContent;